Subject: bug#66558: 29.1; .Xmodmap Win-key configurations cause keybinding issues

From: Dev Null <[email-masked]>
Date: Mon, 16 Oct 2023 05:52:16 -0400

Sorry, I’m a little confused. The Win key appears to be recognized by Emacs
as the ’S’ modifier. If I run Emacs without that .Xmodmap file, and I hit
the left win key + n, I get ’S-n’. If I use an Xmodmap file consisting of
just those two lines and hit the left win key + n, I get 'C-s-n'. So it
appears that after the Xmodmap is read, Emacs is still recognizing my Win
key as being bound to super, while other programs on my system don't seem
to have that issue. I'm having trouble understanding why keys bound to
control are the issue here.

On Sun, Oct 15, 2023 at 8:56 PM Po Lu <[email-masked]> wrote:

> Dev Null <[email-masked]> writes:
>
> > The following lines of my '~/.Xmodmap' file remap my left Win key
> > to Ctrl:
> >
> > remove mod4 = Super_L
> > add control = Super_L
> >
> > When I run GUI Emacs with this in place, entering any keybinding 'C-s-X
> > is undefined', where X is the key that I pressed. E.g. if I press 'C-n',
> > I get the following:
> >
> > 'C-s-n is undefined'
>
> My powers of clairvoyance enable me to deduce that another key is bound
> to control, in all likelihood Control_L.  You must remove _every_ key
> from a real modifier you rebind, or Emacs will rightly attribute to
> events with it pressed the detritus of previous bindings that remains.
>